## NAME

i.tasscap - Tasseled Cap (Kauth Thomas) transformation for LANDSAT-TM data

## KEYWORDS

raster, imagery

## SYNOPSIS

i.tasscap
i.tasscap help
i.tasscap [-457] band1=string band2=string band3=string band4=string band5=string band7=string outprefix=string [--overwrite] [--verbose] [--quiet]

### Flags:

-4
  use transformation rules for LANDSAT-4
-5
  use transformation rules for LANDSAT-5
-7
  use transformation rules for LANDSAT-7
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

band1=string
  raster input map (LANDSAT channel 1)
band2=string
  raster input map (LANDSAT channel 2)
band3=string
  raster input map (LANDSAT channel 3)
band4=string
  raster input map (LANDSAT channel 4)
band5=string
  raster input map (LANDSAT channel 5)
band7=string
  raster input map (LANDSAT channel 7)
outprefix=string
  raster output TC maps prefix

## DESCRIPTION

i.tasscap calculates Tasseled Cap (Kauth Thomas, TC) transformation for LANDSAT-TM data (TM4, TM5, TM7). The tasseled cap transformation is effectively a compression method to reduce multiple spectral data into a few bands. The method was originally developed for understanding important phenomena of crop development in spectral space (Kauth and Thomas 1976).

Tasseled cap coefficients for Landsat 7 ETM+ at-satellite reflectance (C. Huang et al., 2001), the conversion can be achieved with i.landsat.toar.

The following TC components are generated:

- tasscap.1: corresponds to brightness,
- tasscap.2: corresponds to greenness,
- tasscap.3: corresponds to wetness,
- tasscap.4: corresponds to atmospheric haze.

## EXAMPLE

Calculation of TC maps from North Carolina Landsat scene:

    g.region rast=lsat7_2002_10 -p
    i.tasscap -7 band1=lsat7_2002_10 band2=lsat7_2002_20 \
                 band3=lsat7_2002_30 band4=lsat7_2002_40 \
                 band5=lsat7_2002_50 band7=lsat7_2002_70 \
    	     outprefix=tasscap

Results:

'Brightness' Tasseled Cap component 1 | 'Greenness' Tasseled Cap component 2
'Wetness' Tasseled Cap component 3 | 'Atmospheric haze' Tasseled Cap component 4

## REFERENCES

- LANDSAT-4/LANDSAT-5: TC-factor changed to CRIST et al. 1986, Proc. IGARSS 1986, p.1467
- Crist, E. P., 1985, A TM tasseled cap equivalent transformation for reflectance factor data, Remote Sensing of Environment, 17: 301-306.
- LANDSAT-7: TASSCAP factors cited from: DERIVATION OF A TASSELED CAP TRANSFORMATION BASED ON LANDSAT 7 AT-SATELLITE REFLECTANCE Chengquan Huang, Bruce Wylie, Limin Yang, Collin Homer and Gregory Zylstra Raytheon ITSS, USGS EROS Data Center Sioux Falls, SD 57198, USA http://landcover.usgs.gov/pdf/tasseled.pdf
  This is published as well in INT. J. OF RS, 2002, VOL 23, NO. 8, 1741-1748.
  Compare discussion: http://adis.cesnet.cz/cgi-bin/lwgate/IMAGRS-L/archives/imagrs-l.log0211/date/article-14.html

## SEE ALSO

i.landsat.toar

## AUTHOR

Markus Neteler, ITC-irst

Last changed: $Date: 2013-11-07 07:12:33 +0100 (čt, 07 XI 2013) $

Main index - imagery index - Full index

© 2003-2014 GRASS Development Team